### Function

# FwupdPlugin input_stream_chunkify

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_input_stream_chunkify (
      GInputStream* stream,
      FuInputStreamChunkifyFunc func_cb,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Split the stream into blocks and calls a function on each chunk.

Available since: 2.0.0

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`func_cb`

  Type: `FuInputStreamChunkifyFunc`

  Function to call with chunks.

`user_data`

  Type: `gpointer`

  User data to pass to `func_cb`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.